Bug 803412 - [RFE] SAM should allow users to select the SLA for managed systems
[RFE] SAM should allow users to select the SLA for managed systems
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.X
Assigned To: Tom McKay
SAM QE List
: FutureFeature, Triaged
Depends On: 818477
Blocks: sam11-tracker
  Show dependency treegraph
 
Reported: 2012-03-14 12:36 EDT by Bryan Kearney
Modified: 2012-08-22 09:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 09:29:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Allow user to select SLA for managed system. (152.70 KB, image/png)
2012-05-14 02:54 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Bryan Kearney 2012-03-14 12:36:11 EDT
SAM Should be able to manage the SLA for machines whose subscription-manager supports the feature.
Comment 1 Tom McKay 2012-04-10 14:05:29 EDT
commit ec34037f1d126fd47beb882493aa707f9cca3756
Author: Tom McKay <thomasmckay@redhat.com>
Date:   Tue Apr 10 12:54:52 2012 -0400

    803412 - auto-subscribe w/ SLA now on system subscription page
Comment 2 Tom McKay 2012-05-10 08:45:18 EDT
Note for testing: Import a manifest with various service levels in it, then register a system. Note on the System/Subscriptions tab in the UI that a new choice selector is at the top that allows selection of auto-subscribe on/off in conjunction with a preferred service level.
Comment 3 Tazim Kolhar 2012-05-14 02:54:22 EDT
Created attachment 584258 [details]
Allow user to select SLA for managed system.

VERIFIED with the build :

[root@dell-pe2900-02 ~]# rpm -qa | grep katello
katello-cli-headpin-0.2.0-1.el6_2.noarch
katello-glue-candlepin-0.3.1-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-0.3.2-3.el6_2.noarch
katello-selinux-0.2.4-1.el6_2.noarch
katello-headpin-0.2.6-4.el6_2.noarch
katello-certs-tools-1.1.5-1.el6_2.noarch
katello-configure-0.3.3-2.el6_2.noarch
katello-common-0.3.1-1.el6_2.noarch
katello-headpin-all-0.2.6-4.el6_2.noarch


The System/Subscriptions tab in the UI has a new
choice selector at the top that allows selection of auto-subscribe on/off in
conjunction with a preferred service level.

Note You need to log in before you can comment on or make changes to this bug.